# Command: SyncProcesses

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    SyncProcesses - Synchronize all MPI processes.

Synopsis:

    SyncProcesses ->	-

Description:

      This function allows to synchronize all MPI processes at any
      point in a simulation script. Internally, the function uses
      MPI_Barrier(). Note that during simulation the processes are
      automatically synchronized without the need for user interaction.

Availability:

    NEST 2.0

Author:

    Alexander Hanuschkin

FirstVersion:

    April 2009

SeeAlso:

- Rank
- NumProcesses
- ProcessorName

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/nestkernel/nestmodule.cpp

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative